IF OBJECT_ID('[EventListeners_ForEvent]') IS NOT NULL DROP VIEW [EventListeners_ForEvent]
GO

CREATE VIEW [EventListeners_ForEvent] AS

SELECT N.*

      ,EO.[EventOccurence_Id]
      ,EO.[Event_Code]
      ,EO.[User_Name]
      ,EO.[Occurence_Date]
      ,EO.[Application_Id]

  FROM [EventOccurences] EO
       INNER JOIN [EventListenerEvents] NEC
               ON EO.[Event_Code] = NEC.[Event_Code]
       INNER JOIN [EventListeners] N
               ON N.[EventListener_Id] = NEC.[EventListener_Id]
 WHERE N.[Active_Indicator] = 'Y'


