IF OBJECT_ID('[dbo].[RoleTasks_Extended]') IS NOT NULL
	DROP VIEW [dbo].[RoleTasks_Extended]
GO

CREATE VIEW [dbo].[RoleTasks_Extended]
AS

	SELECT RT.[Role_Id]

		  ,T.[Task_Id]
		  ,T.[Task_Name]
          ,T.[Application_Scopeable_Indicator]
          ,T.[Environment_Scopeable_Indicator]

	  FROM [dbo].[RoleTasks] RT
		   INNER JOIN [dbo].[Tasks] T
				   ON RT.[Task_Id] = T.[Task_Id]

GO
