--AH:ScriptId=ae0506b8-1156-4898-8bfe-8d03ef73d3d7;393
SET NOCOUNT ON

DELETE [DashboardGadgets] 
 WHERE [Dashboard_ID] NOT IN (SELECT [Dashboard_Id] FROM [Dashboards] WHERE [DashboardScope_Code] = 'S')
DELETE [Dashboards] WHERE [DashboardScope_Code] <> 'S'
INSERT INTO [Dashboards] ([DashboardScope_Code]) VALUES('A')
INSERT INTO [Dashboards] ([DashboardScope_Code]) VALUES('B')
INSERT INTO [Dashboards] ([DashboardScope_Code]) VALUES('R')

INSERT INTO [DashboardGadgets]
 ([Dashboard_Id],[Dashboard_Zone],[Display_Sequence],
  [DashboardGadget_Name],[DashboardGadget_Description],[DashboardGadget_Configuration],
  [CreatedBy_User_Name],[CreatedOn_Date],[ModifiedBy_User_Name],[ModifiedOn_Date])

SELECT D.[Dashboard_Id], DG.[Dashboard_Zone], DG.[Display_Sequence], 
       DG.[DashboardGadget_Name], DG.[DashboardGadget_Description], DG.[DashboardGadget_Configuration],
       'SYSTEM', GETDATE(), 'SYSTEM', GETDATE()
FROM [Dashboards] D,
(SELECT NULL [Dashboard_Zone], NULL [Display_Sequence], NULL [DashboardGadget_Name], NULL [DashboardGadget_Description],NULL [DashboardGadget_Configuration] WHERE 1=0
 UNION ALL SELECT 1, 1, 'Build Details', 'Displays details about a build in a table.', '<Inedo.BuildMaster.Extensibility.Gadgets.Build.BuildDetailsGadget Assembly="BuildMaster.Web.WebApplication"><Properties /></Inedo.BuildMaster.Extensibility.Gadgets.Build.BuildDetailsGadget>'
 UNION ALL SELECT 1, 2, 'Promotion Status', 'Displays the progress of a build through a workflow and allows promotion and creation of new builds.', '<Inedo.BuildMaster.Extensibility.Gadgets.Build.BuildPromotionStatusGadget Assembly="BuildMaster.Web.WebApplication"><Properties /></Inedo.BuildMaster.Extensibility.Gadgets.Build.BuildPromotionStatusGadget>'
 UNION ALL SELECT 2, 1, 'Build Approvals', 'Displays the approvals associated with a build.', '<Inedo.BuildMaster.Extensibility.Gadgets.Build.BuildApprovalsGadget Assembly="BuildMaster.Web.WebApplication"><Properties /></Inedo.BuildMaster.Extensibility.Gadgets.Build.BuildApprovalsGadget>'
 UNION ALL SELECT 2, 2, 'Build Promotions', 'Details the promotions that have occurred.', '<Inedo.BuildMaster.Extensibility.Gadgets.Build.BuildPromotionsGadget Assembly="BuildMaster.Web.WebApplication"><Properties /></Inedo.BuildMaster.Extensibility.Gadgets.Build.BuildPromotionsGadget>'
 UNION ALL SELECT 2, 3, 'Build Executions', 'Details the executions that have occurred.', '<Inedo.BuildMaster.Extensibility.Gadgets.Build.BuildExecutionsGadget Assembly="BuildMaster.Web.WebApplication"><Properties /></Inedo.BuildMaster.Extensibility.Gadgets.Build.BuildExecutionsGadget>'
 UNION ALL SELECT 3, 4, 'Build Artifacts', 'Displays the artifacts associated with a build.', '<Inedo.BuildMaster.Extensibility.Gadgets.Build.BuildArtifactsGadget Assembly="BuildMaster.Web.WebApplication"><Properties /></Inedo.BuildMaster.Extensibility.Gadgets.Build.BuildArtifactsGadget>'
 UNION ALL SELECT 3, 5, 'Release Notes', 'Displays release notes.', '<Inedo.BuildMaster.Extensibility.Gadgets.ReleaseNotesGadget Assembly="BuildMaster.Web.WebApplication"><Properties /></Inedo.BuildMaster.Extensibility.Gadgets.ReleaseNotesGadget>'
 UNION ALL SELECT 4, 1, 'Unit Test Results', 'Displays unit tests from the most recent execution.', '<Inedo.BuildMaster.Extensibility.Gadgets.Build.BuildUnitTestsGadget Assembly="BuildMaster.Web.WebApplication"><Properties /></Inedo.BuildMaster.Extensibility.Gadgets.Build.BuildUnitTestsGadget>'
 UNION ALL SELECT 4, 2, 'Build Reports', 'Details the promotions that have occurred.', '<Inedo.BuildMaster.Extensibility.Gadgets.Build.BuildReportsGadget Assembly="BuildMaster.Web.WebApplication"><Properties /></Inedo.BuildMaster.Extensibility.Gadgets.Build.BuildReportsGadget>') DG
WHERE D.[DashboardScope_Code] = 'B'

UNION ALL

SELECT D.[Dashboard_Id], 1, 1,
       'Environment Status', 'Displays a table showing which builds and releases are in which environments.', '<Inedo.BuildMaster.Extensibility.Gadgets.EnvironmentStatusGadget Assembly="BuildMaster.Web.WebApplication"><Properties /></Inedo.BuildMaster.Extensibility.Gadgets.EnvironmentStatusGadget>', 'SYSTEM', GETDATE(), 'SYSTEM', GETDATE()
 FROM [Dashboards] D
WHERE D.[DashboardScope_Code] = 'A'
 