EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'AdminEdit_PurgeBuild',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Purges an entire build and all associated data from the system.'
GO

IF OBJECT_ID('[AdminEdit_PurgeBuild]') IS NOT NULL DROP PROCEDURE [AdminEdit_PurgeBuild]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [AdminEdit_PurgeBuild]
(
	@Build_Id INT
) AS
BEGIN

EXEC [Builds_PurgeBuildData] @Build_Id

END
GO

GRANT EXECUTE ON [AdminEdit_PurgeBuild] TO [BuildMasterUser_Role]
